---@meta

---@class ABP_FrontEndController_C : ARGPlayerController
---@field UberGraphFrame FPointerToUberGraphFrame
---@field FrontEndWidget UW_FrontEnd_C
local ABP_FrontEndController_C = {}

---@return FString
function ABP_FrontEndController_C:GetPresenceString() end
---@return boolean
function ABP_FrontEndController_C:IsMenuController() end
function ABP_FrontEndController_C:ReceiveBeginPlay() end
---@param ActivatableWidgetClass TSubclassOf<UCommonActivatableWidget>
---@param LayerID FGameplayTag
---@param InitDelegate FPushRGWidgetWithInitInitDelegate
function ABP_FrontEndController_C:PushRGWidgetWithInit(ActivatableWidgetClass, LayerID, InitDelegate) end
---@param ActivatableWidgetClass TSubclassOf<UCommonActivatableWidget>
---@param LayerID FGameplayTag
function ABP_FrontEndController_C:PushRGWdget(ActivatableWidgetClass, LayerID) end
---@param LayerID FGameplayTag
function ABP_FrontEndController_C:PopRGWidget(LayerID) end
---@param Widget UCommonActivatableWidget
function ABP_FrontEndController_C:MainMenuInit(Widget) end
---@param EntryPoint int32
function ABP_FrontEndController_C:ExecuteUbergraph_BP_FrontEndController(EntryPoint) end


